## ESourceMDN

ESourceMDN — ESource extension for MDN settings

## Functions

EMdnResponsePolicy | e_source_mdn_get_response_policy ()
void | e_source_mdn_set_response_policy ()

## Types and Values

#define | E_SOURCE_EXTENSION_MDN
struct | ESourceMDN
struct | ESourceMDNClass

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceMDN extension tracks Message Disposition Notification settings for a mail account. See RFC 2298 for more information about Message Disposition Notification.

Access the extension as follows:

    1
    2
    3
    4
    5

    #include <libedataserver/libedataserver.h>

    ESourceMDN *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_MDN);

## Functions

### e_source_mdn_get_response_policy ()

    EMdnResponsePolicy
    e_source_mdn_get_response_policy (ESourceMDN *extension);

Returns the policy for this mail account on responding to Message Disposition Notification requests when receiving mail messages.

#### Parameters

extension | an ESourceMDN |

#### Returns

the EMdnResponsePolicy for this account

Since 3.6

### e_source_mdn_set_response_policy ()

    void
    e_source_mdn_set_response_policy (ESourceMDN *extension,
                                      EMdnResponsePolicy response_policy);

Sets the policy for this mail account on responding to Message Disposition Notification requests when receiving mail messages.

#### Parameters

extension | an ESourceMDN |
response_policy | the EMdnResponsePolicy |

Since 3.6

## Types and Values

### E_SOURCE_EXTENSION_MDN

    #define E_SOURCE_EXTENSION_MDN "Message Disposition Notifications"

Pass this extension name to `e_source_get_extension()` to access ESourceMDN. This is also used as a group name in key files.

Since 3.6

### struct ESourceMDN

    struct ESourceMDN {
    	ESourceExtension parent;
    	ESourceMDNPrivate *priv;
    };

Contains only private data that should be read and manipulated using the functions below.

Since 3.6

### struct ESourceMDNClass

    struct ESourceMDNClass {
    	ESourceExtensionClass parent_class;
    };